<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ProjectBuilder (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ProjectBuilder (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/testfixtures/ProjectBuilder.html" target="_top">Frames</a></li>
<li><a href="ProjectBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.testfixtures</div>
<h2 title="Class ProjectBuilder" class="title">Class ProjectBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.testfixtures.ProjectBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">ProjectBuilder</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>Creates dummy instances of <a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api"><code>Project</code></a> which you can use in testing custom task and plugin
 implementations.</p>

 <p>To create a project instance:</p>

 <ol>

 <li>Create a <code>ProjectBuilder</code> instance by calling <a href="../../../org/gradle/testfixtures/ProjectBuilder.html#builder()"><code>builder()</code></a>.</li>

 <li>Optionally, configure the builder.</li>

 <li>Call <a href="../../../org/gradle/testfixtures/ProjectBuilder.html#build()"><code>build()</code></a> to create the <code>Project</code> instance.</li>

 </ol>

 <p>You can reuse a builder to create multiple <code>Project</code> instances.</p>

 <p>The <code>ProjectBuilder</code> implementation bundled with Gradle 3.0 and 3.1 suffers from a
 binary compatibility issue exposed by applying plugins compiled with Gradle 2.7 and earlier.
 Applying those pre-compiled plugins in a ProjectBuilder context will result in a <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/ClassNotFoundException.html?is-external=true" title="class or interface in java.lang"><code>ClassNotFoundException</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../org/gradle/testfixtures/ProjectBuilder.html#ProjectBuilder()">ProjectBuilder</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/testfixtures/ProjectBuilder.html#build()">build</a></strong>()</code>
<div class="block">Creates the project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/testfixtures/ProjectBuilder.html#builder()">builder</a></strong>()</code>
<div class="block">Creates a project builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/testfixtures/ProjectBuilder.html#withGradleUserHomeDir(java.io.File)">withGradleUserHomeDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</code>
<div class="block">Specifies the Gradle user home for the builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/testfixtures/ProjectBuilder.html#withName(java.lang.String)">withName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Specifies the name for the project</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/testfixtures/ProjectBuilder.html#withParent(org.gradle.api.Project)">withParent</a></strong>(<a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;parent)</code>
<div class="block">Specifies the parent project.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/testfixtures/ProjectBuilder.html#withProjectDir(java.io.File)">withProjectDir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</code>
<div class="block">Specifies the project directory for the project to build.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ProjectBuilder()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ProjectBuilder</h4>
<pre>public&nbsp;ProjectBuilder()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="builder()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>builder</h4>
<pre>public static&nbsp;<a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a>&nbsp;builder()</pre>
<div class="block">Creates a project builder.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The builder</dd></dl>
</li>
</ul>
<a name="withProjectDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withProjectDir</h4>
<pre>public&nbsp;<a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a>&nbsp;withProjectDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</pre>
<div class="block">Specifies the project directory for the project to build.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>dir</code> - The project directory</dd>
<dt><span class="strong">Returns:</span></dt><dd>The builder</dd></dl>
</li>
</ul>
<a name="withGradleUserHomeDir(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withGradleUserHomeDir</h4>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a>&nbsp;withGradleUserHomeDir(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;dir)</pre>
<div class="block">Specifies the Gradle user home for the builder. If not set, an empty directory under the project directory
 will be used.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The builder</dd></dl>
</li>
</ul>
<a name="withName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withName</h4>
<pre>public&nbsp;<a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a>&nbsp;withName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Specifies the name for the project</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - project name</dd>
<dt><span class="strong">Returns:</span></dt><dd>The builder</dd></dl>
</li>
</ul>
<a name="withParent(org.gradle.api.Project)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withParent</h4>
<pre>public&nbsp;<a href="../../../org/gradle/testfixtures/ProjectBuilder.html" title="class in org.gradle.testfixtures">ProjectBuilder</a>&nbsp;withParent(<a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;parent)</pre>
<div class="block">Specifies the parent project. Use it to create multi-module projects.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>parent</code> - parent project</dd>
<dt><span class="strong">Returns:</span></dt><dd>The builder</dd></dl>
</li>
</ul>
<a name="build()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>build</h4>
<pre>public&nbsp;<a href="../../../org/gradle/api/Project.html" title="interface in org.gradle.api">Project</a>&nbsp;build()</pre>
<div class="block">Creates the project.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The project</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/testfixtures/ProjectBuilder.html" target="_top">Frames</a></li>
<li><a href="ProjectBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
